• Home
  • History
  • Annotate
  • Raw
  • Download
  • only in /macosx-10.10.1/ksh-23/ksh/src/cmd/INIT/

Lines Matching +refs:compile +refs:command

24 command=package
47 echo $command: $SHELL: warning: possible -lcmd conflict -- falling back to /bin/sh >&2
103 [+DESCRIPTION?The \bpackage\b command controls source and binary
106 \b$PACKAGEROOT\b must at minumum contain a \bbin/package\b command or a
116 by explicit command argument assignments to override the defaults.]
130 [+?The command arguments are composed of a sequence of words: zero or
172 on the command line the \aaction\a applies to all packages; a
280 passed to the underlying make command.]
319 the \bregress\b(1) command require \bksh93\b. If \bonly\b is
345 [+use\b [ \auid\a | \apackage\a | . [ 32 | 64 ]] | 32 | 64 | - ]] [ command ...]]?Run
364 \bast\b package \bcksum\b(1) command.]
411 Delta recipients must have the \bast\b \bpax\b(1) command (in
443 the \afoo\a command is in \b$PACKAGEROOT/src/cmd/\b\afoo\a, and source
493 dependent logic is handled either by the \bast\b \biffe\b(1) command or
532 while getopts -a $command "$USAGE" OPT
603 1) echo $command: $1: authorization user name argument expected >&2; exit 1 ;;
623 1) echo $command: $1: authorization password argument expected >&2; exit 1 ;;
734 use the ${Mpackage} command to do the actual download:${bX}
753 install them in a public root (requires the ${bI}AT${Camp}T${eI} ${Mnmake} command):${bX}
797 command is in ${bB}\$PACKAGEROOT/src/cmd/${eB}${bI}FOO${eI}, and source for the ${bI}BAR${eI} library is
863 original source. The ${bB}ast${eB} ${Mproto} command converts an ANSI C subset to code
893 use the ${Mpackage} command to do the actual download:${bX}
909 arguments.) ${bI}name=value${eI} arguments are supported; ${bB}CC${eB} and ${bB}debug=1${eB} (compile
925 test actions (requires the ${bI}AT${Camp}T${eI} ${Mnmake} command):${bX}
950 source package, compile it, and manually read the ${bB}INIT${eB}
960 *) echo "Usage: $command [ qualifier ... ] [ action ] [ arg ... ] [ n=v ... ]
962 The $command command controls source and binary packages. It must be run
963 within the package root directory tree. See \"$command help intro\" for
992 If a package list is not specified on the command line the
1103 passed to the underlying make command.
1139 the \bregress\b(1) command require \bksh93\b. If only is
1174 command may be run from any directory. If the file
1186 package cksum(1) command.
1232 must have the ast pax(1) command (in the ast-base package.)
1258 *) echo "Usage: $command [ options ] [ qualifier ... ] [ action ] [ arg ... ] [ n=v ... ]" >&2
1303 # collect command line targets and definitions
1399 1) echo $command: $action: $1: db file argument expected >&2
1407 1) echo $command: $action: $1: host pattern argument expected >&2
1460 */32) echo $command: cannot build $bit-bit on $wow $sys >&2; exit 2 ;;
1490 # run the command
1513 test -d $1/lib/$command -o -x $1/bin/$command
1518 executable() # [!] command
1543 # true if arg is executable command on $PATH
1545 onpath() # command
1647 *) echo "$command: $action: $info: unknown attribute" >&2
1655 -) echo "$command: $action: canon: host type name expected" >&2
2555 echo $command: "$@" >&2
2765 echo "$command: $PACKAGEROOT: invalid package root directory" >&2
2772 else echo "$command: $hosttype: package root not found" >&2
2781 *) echo "$command: $PACKAGEROOT: must be in the package root directory tree" >&2
2848 then echo "$command: ${warn}$CC: must be a C compiler (not C++)" >&2
2850 echo "$command: ${warn}$CC: failed to compile and link $INITROOT/hello.c -- is it a C compiler?" >&2
3044 echo "$command: $CC: seems to be a cross-compiler" >&2
3045 echo "$command: set HOSTTYPE to something other than the native $EXECTYPE" >&2
3231 ?*) echo "$command: $HOSTTYPE: export '$lose' in CYGWIN or languish in windows" >&2
3303 ?*) echo $command: $1: $_view_t_ not found >&2 ;;
3475 echo "$command: $i: command not found" >&2
3486 echo "$command: $INITROOT: INIT package source not found" >&2
3565 000) echo "$command: $i: not found: download the INIT package $HOSTTYPE binary to continue" >&2
3568 010) echo "$command: $i: not found: set CC=C-compiler or download the INIT package $HOSTTYPE binary to continue" >&2
3571 100) echo "$command: $i: not found: download the INIT package source or $HOSTTYPE binary to continue" >&2
3575 1) echo "$command: $i: not found: make the local $EXECTYPE binary package before $HOSTTYPE" >&2
3675 *) echo "$command: $i: must read or write package" >&2
3697 base) echo "$command: base package $p.$v or newer required" >&2 ;;
3698 *) echo "$command: delta package $p.$v.$r or newer required" >&2 ;;
3782 echo "$command: $_order_f_: not a package" >&2
3883 else echo "$command: $p: package or component not found" >&2
3903 # capture command output
3905 capture() # file command ...
3957 s="$command: $action start at `date` in $INSTALLROOT"
3959 0) trap "echo \"$command: $action done at \`date\`\" in $INSTALLROOT 2>&1 | \$TEE -a $o" 0 1 2 ;;
3960 *) trap "echo \"$command: $action done at \`date\`\" in $INSTALLROOT >> $o" 0 1 2 ;;
4090 echo "$command: $action: $url: redirect error" >&2
4097 echo "$command: $action: $url: $got" >&2
4133 *) echo $command: $action: $HURL: url get command not found >&2
4140 echo $command: $action: authorization required -- see $url for license acceptance authorization name and password >&2
4146 echo $command: $action: $2: download failed >&2
4202 *) echo $command: $action: $HURL: url get command not found >&2
4209 echo $command: $action: authorization required -- see $url for license acceptance authorization name and password >&2
4215 echo $command: $action: $3: download failed >&2
4225 echo $command: $3: download error: expected $4 bytes, got $z >&2
4235 echo $command: $3: download $checksum error: expected $5, got $z >&2
4316 else echo "$command: $user$name:${root}lib/package/tgz/$lst: not found" >&2
4323 else echo "$command: $name: down" >&2
4364 /*) echo $command: $action: $admin_db: data file not found >&2
4886 : ast date command assumed :
4893 *) W=`grep '^[abcdefghijklmnopqrstuvwxyz][abcdefghijklmnopqrstuvwxyz]*:.' $admin_log/$2 | egrep -cv 'start at|done at|output captured|warning:|: package not found|whence: command not found'` ;;
4998 echo $command: $action: no packages >&2
5017 then echo $command: $action: $pkg: not a package >&2
5174 '*') echo $command: $action: no packages >&2
5218 0) echo "$command: at least one package name expected" >&2
5232 0) echo "$command: $action: target directory argument expected" >&2
5247 then echo "$command: $action: $directory: target directory not found" >&2
5270 echo "$command: $dest: destination directory must exist" >&2
5282 then echo "$command: $a: invalid architecture" >&2
5284 then echo "$command: $dest: destination directory must exist" >&2
5288 else echo "$command: $MAKE: not found" >&2
5314 echo lib/$command
5338 '*') echo $command: $action: no licenses >&2
5363 *) echo "$command: $i: package license not found" >&2
5445 echo "$command: $t: not found -- must be on PATH to $action" >&2
5448 *) echo "$command: warning: $t: not found -- some $action actions may fail" >&2
5624 *) echo "$command: $CC: not found -- set CC=C-compiler" >&2
5635 else echo "$command: $CC: failed to compile this program:" >&2
5639 else echo "$command: $CC: not a C compiler" >&2
5820 then echo "$command: $action: errors making $NMAKE" >&2
5843 then echo "$command: $action: errors making $NMAKE" >&2
5861 then echo "$command: $action: errors making $KSH" >&2
5973 echo "$command: $OK/$i: cannot update [may be in use by a running process] remove manually and try again" >&2
6027 *) echo "$command: must be in package root directory" >&2
6072 else echo "$command: $f: package archive not found" >&2
6080 '') echo "$command: lib/package/$tgz: no package archives" >&2
6119 *) echo "$command: $f: not a package archive" >&2
6257 echo "$command: $f: pax required to read delta archive" >&2
6271 1) echo "$command: $f: base archive $b required to read delta" >&2
6313 1) echo "$command: $f: base archive $b required to read delta" >&2
6333 *) echo "$command: $f: unknown archive type" >&2
6401 then echo "$command: 'package make' and 'package test' required for regression" >&2
6430 else echo "$command: at least 2 test runs required for regression" >&2
6478 *) echo $command: $*: lo-date hi-date arguments expected >&2
6525 remove) echo "$command: $action: not implemented yet" >&2
6563 1) echo $command: $action: $1: host pattern argument expected >&2
6616 echo "$command: $i action output not found" >&2
6686 then echo $command: $action: must have $MAKE to test >&2
6748 then echo $command: $urlfile: not found >&2; exit 1
6772 then echo $command: url argument expected >&2; exit 1
6972 '') echo $command: warning: '{' $checksum_commands '}' command not found -- only download sizes will be checked >&2 ;;
6990 echo $command: $j $base_size:$base_sum $delta_size:$delta_sum $sync_size:$sync_sum $requires >&2
7160 *) echo $command: $name: unknown package >&2
7211 # run the command
7226 then echo "$command: $action: $SUM command required" >&2
7246 else echo "$command: warning: $a: no binary packages" >&2
7252 else echo "$command: warning: $a: no binary package for $i" >&2
7294 '') echo "$command: binary or source operand expected" >&2
7306 0) echo "$command: at least one package name expected" >&2
7311 then echo "$command: must have $MAKE to generate archives" >&2
7327 else echo "$command: $package: not a package" >&2
7343 *) echo "$command: $action: internal error" >&2